Bug 44282 - [iOS/tvOS] Broken Broadcast UI template
Summary: [iOS/tvOS] Broken Broadcast UI template
Status: VERIFIED FIXED
Alias: None
Product: Xamarin Studio
Classification: Desktop
Component: Wizards / Templates (show other bugs)
Version: 6.1.0 (C8)
Hardware: PC Mac OS
: Normal normal
Target Milestone: (C8SR0)
Assignee: Vincent Dondain [MSFT]
URL:
Depends on:
Blocks:
 
Reported: 2016-09-14 09:18 UTC by Vincent Dondain [MSFT]
Modified: 2016-09-19 11:49 UTC (History)
2 users (show)

See Also:
Tags:
Is this bug a regression?: ---
Last known good build:


Attachments

Description Vincent Dondain [MSFT] 2016-09-14 09:18:49 UTC
Due to recent bindings changes (https://github.com/xamarin/xamarin-macios/commit/6c3fee4ddfa202fb50e0af216102a69b80477c65) the Broadcast UI template is broken.

"ExtensionContext.CompleteRequest" needs "NSDictionary<NSString, INSCoding>" instead of "NSDictionary<NSString, NSCoding>".
Comment 1 Vincent Dondain [MSFT] 2016-09-14 09:20:51 UTC
Fixed in md-addins:master (d47ff24ca3fd500018bc6fc9b60769e4b5024d3c) and cycle8 PR (https://github.com/xamarin/md-addins/pull/1218).
Comment 2 Mohit Kheterpal 2016-09-15 17:06:52 UTC
I have checked this issue and observed that this issue has been fixed as shown in the screencast : http://www.screencast.com/t/cFovGGgJDMs

Hence closing this issue by marking it as Verified.

thanks
Comment 3 Mohit Kheterpal 2016-09-15 17:08:14 UTC
Addition in comment 2 : Using Master build of XamarinStudio-6.2.0.494_f6483f8a1c6d0790f2d8033a7e4d55e09b57a8bd
Comment 4 Mohit Kheterpal 2016-09-19 11:49:35 UTC
I have checked this issue with latest build of C8SR0 and observed that the fix for this issue has been merged in C8SR0 XamarinStudio-6.1.1.7  d8b32f2e91a12d368b5653aa035cde654d38bd53 

Screencast : http://www.screencast.com/t/qDoCnGxP8804

thanks

Notice (2018-05-21): bugzilla.xamarin.com will be switching to read-only mode on Thursday, 2018-05-25 22:00 UTC.

Please join us on Visual Studio Developer Community and GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs and copy them to the new locations as needed for follow-up. The See Also field on each Bugzilla bug will be updated with a link to its new location when applicable.

After Bugzilla is read-only, if you have new information to add for a bug that does not yet have a matching issue on Developer Community or GitHub, you can create a follow-up issue in the new location. Copy and paste the title and description from this bug, and then add your new details. You can get a pre-formatted version of the title and description here:

In special cases you might also want the comments:

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.

Note You need to log in before you can comment on or make changes to this bug.